function love.keypressed(key, scancode, isrepeat)
	keyinputLevelEditor(key, scancode, isrepeat)
end

function keyinputLevelEditor(key, scancode, isrepeat)
	
	if gamestatus=="levelEditor" and not (typingGridSize==true) then 
		-- Switch the currently selected tile with number keys (1, 2, 3)
		--if key == "0" or key == "1" or key == "2" or key == "3" then
			--currentTile = tonumber(key)
		--end
		
		-- Switch drawing modes with number keys
		if key == "1" then
			drawingMode = "wall"
		elseif key == "2" then
			drawingMode = "border"
		elseif key == "3" then
			drawingMode = "emptyCell"
		elseif key == "4" then
			drawingMode = "agent"
		elseif key == "5" then
			drawingMode = "agent2"
		elseif key == "6" then
			drawingMode = "exit"
		elseif key == "7" then
			drawingMode = "object"
			isDrawingObject = true
		elseif key == "8" then
			isDrawingHeavy = not isDrawingHeavy  -- Toggle between heavy and light objects
			love.timer.sleep( 0.3 )	
		end
	
		-- Export the level when the "e" key is pressed
		if key == "e" then
			exportLevel()
		end
	
	elseif gamestatus=="levelEditor" and typingGridSize==true then
	
	if key == "return" then
        newSize = tonumber(gridSizeInput)
        if newSize and newSize > 0 then
            setGridSize(newSize)  -- Call the setGridSize function with the new size
        end
        gridSizeInput = ""  -- Reset the input string
        typingGridSize=false
        
    elseif key == "backspace" then
        -- Remove the last character from the input string
        gridSizeInput = gridSizeInput:sub(1, -2)
    end
	
	end
end
