function PlayCustomLevel()
    local level = {}

    -- Construct the full path to the custom level file
    local filename = "customlevel.lua"
    local fullPath = love.filesystem.getSaveDirectory() .. "/" .. filename

    -- Ensure the module is not cached
    package.loaded["customlevel"] = nil

    -- Load the module
    --local loadedLevel, loadError = require("customlevel")
    level, loadError = require ('game.levels.level-2')

    if not level then
        print("Failed to load custom level module: " .. loadError)
        return nil
    end
    
    music:stop()
    nLevel=level
    gamestatus="game"
    

    return level
end
