function loadLevelEditorButtons()

emulatedmousex=0
emulatedmousey=0
emulatedmousexscale=0
emulatedmouseyscale=0

	local desktopWidth, desktopHeight = love.window.getDesktopDimensions()
	DrawWallsButton = {
		text = "Walls",
		x = 100, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	DrawBordersButton = {
		text = "Borders",
		x = 200, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	DrawEmptySpacesButton = {
		text = "Empty",
		x = 300, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	DrawAgent1Button = {
		text = "Agent 1",
		x = 400, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	DrawAgent2Button = {
		text = "Agent 2",
		x = 500, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
		
	DrawExitButton = {
		text = "Exit area",
		x = 600, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	DrawObjectButton = {
		text = "Object",
		x = 700, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	isDrawingHeavy=true	-- default true
	TogleHeavyButton = {
		text = "Heavy",
		x = 800, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	TogleLightButton = {
		text = "Light",
		x = 800, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	clearLevelButton = {
		text = "Clear",
		x = 900, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}


	
	TypeGridSizeButton = {
		text = "Type Grid Size",
		x = 1000, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	
	LoadLevelButton = {
		text = "Load level",
		x = 1400, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	PlayLevelButton = {
		text = "Play level",
		x = 1400, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	ExportLevelButton = {
		text = "Export level",
		x = 1600, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	ExportasGraphicButton = {
		text = "Export as Graphic",
		x = 1800, 
		y = game.screen_height-150,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	ExportDirButton = {
		text = "open directory",
		x = 1800, 
		y = game.screen_height-200,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
	ShowHelpButton = {
		text = "Help",
		x = 1800, 
		y = game.screen_height-150,
		r = 0,
		sx = 1,
		hovered = false,
		color = {1,1,1},
		hoveredColor = {1,1,0},
		font = poorfishsmall,
	}
	
end


function hideLevelEditorButtons(button, hovered,text)
	if gamestatus=="levelEditor" then
			if button.text=="Walls" then shortcutText="1"
		elseif button.text=="Borders" then shortcutText="2"
		elseif button.text=="Empty" then shortcutText="3"
		elseif button.text=="Agent 1" then shortcutText="4"
		elseif button.text=="Agent 2" then shortcutText="5"
		elseif button.text=="Exit area" then shortcutText="6"
		elseif button.text=="Object" then shortcutText="7"
		elseif button.text=="Heavy" then shortcutText="8"
		elseif button.text=="Light" then shortcutText="8"
		elseif button.text=="Export level" then shortcutText="e"
		else shortcutText=""
		end
	end	
	
	if gamestatus=="levelEditor" and not (timer3>5) then									--If the button is being hovered over, 
		--shortcuts
			
		love.graphics.setColor(1,1,1,5-timer3)
		
		
		if not (shortcutText=="") then
			love.graphics.draw(KeyIcon, button.x,button.y+50, button.r,0.4)
		end
		love.graphics.setColor(0,0,0,5-timer3)
		love.graphics.print(shortcutText,button.x+10,button.y+60, button.r,button.sx*2)
		
		love.graphics.setColor(1,1,1,5-timer3)
	elseif gamestatus=="levelEditor" and timer3>2.8 then
			
			love.graphics.setColor(1,1,1,(-timer3)+5)
			if drawingMode=="object" then
				objectHelpShowed=true
			end
		
	end
		local mx, my = love.mouse.getPosition()
		if res=="1440p" or res=="4k" then
			if my >1000 or (joystick and emulatedmouseyscale>1000) then
				timer3=0
			end
		elseif res=="1080p" then
			if my >700 or (joystick and emulatedmouseyscale>600) then
				timer3=0
			end
		else
			if my >800 or (joystick and emulatedmouseyscale>800) then
				timer3=0
			end
	
		end
	
end

local function drawImageButton(button, hovered)
    drawButtonFocus()

    if hovered then
        love.graphics.setColor(button.hoveredColor)
    else
        love.graphics.setColor(button.color)
    end

    love.graphics.draw(button.image, button.x, button.y, button.r, button.sx)

    -- Update other button properties if needed
end

function drawLevelEditorButtons()


		local hovered = isButtonHovered (DrawWallsButton)
			drawButton (DrawWallsButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "wall"
					love.timer.sleep( 0.3 )	
				end
				
			local hovered = isButtonHovered (DrawBordersButton)
			drawButton (DrawBordersButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "border"
					love.timer.sleep( 0.3 )	
				end
				
			local hovered = isButtonHovered (DrawEmptySpacesButton)
			drawButton (DrawEmptySpacesButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "emptyCell"
					love.timer.sleep( 0.3 )	
				end
				
			local hovered = isButtonHovered (DrawAgent1Button)
			drawButton (DrawAgent1Button, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "agent"
					love.timer.sleep( 0.3 )	
				end
				
			local hovered = isButtonHovered (DrawAgent2Button)
			drawButton (DrawAgent2Button, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "agent2"
					love.timer.sleep( 0.3 )	
				end
				
			local hovered = isButtonHovered(DrawObjectButton)
			drawButton(DrawObjectButton, hovered)
			if hovered and love.mouse.isDown(1) then
				drawingMode = "object"
				isDrawingObject = true
				isMovingObject = false -- ensure that isMovingObject is set to false
				Initialize_Objects()
				love.timer.sleep(0.3)
			elseif hovered then
				love.graphics.print("This option is still work in progress and may not work as expected:", 500 * scalefactor, 450 * scalefactor, 0, 1)
			end

				
			if isDrawingHeavy then
				local hovered = isButtonHovered (TogleHeavyButton)
				drawButton (TogleHeavyButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					isDrawingHeavy = not isDrawingHeavy  -- Toggle between heavy and light objects
					love.timer.sleep( 0.3 )	
				end
			
			elseif not (isDrawingHeavy) then drawButton (TogleLightButton, hovered)
				local hovered = isButtonHovered (TogleLightButton)
				drawButton (TogleLightButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					isDrawingHeavy = not isDrawingHeavy  -- Toggle between heavy and light objects
					love.timer.sleep( 0.3 )	
				end
			end
			
			
				local hovered = isButtonHovered (clearLevelButton)
				drawButton (clearLevelButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					initializeGridLevelEditor()
					love.timer.sleep( 0.3 )	
				end
			
				
			
			local hovered = isButtonHovered (DrawExitButton)
			drawButton (DrawExitButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					drawingMode = "exit"
					love.timer.sleep( 0.3 )	
				end
			
			
			
				local hovered = isButtonHovered (TypeGridSizeButton)
			drawButton (TypeGridSizeButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					typingGridSize=true
					love.timer.sleep( 0.3 )	
				end
				
				love.graphics.print(newSize,TypeGridSizeButton.x,TypeGridSizeButton.y+60,0, 0.8, 1)
				if typingGridSize==true then
					love.graphics.print("Type your wanted grid size and press enter",TypeGridSizeButton.x,TypeGridSizeButton.y-60,0, 0.8, 1)
				end
				
				--[[
			local hovered = isButtonHovered (LoadLevelButton)
			drawButton (LoadLevelButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					-- Load the list of custom levels
					listCustomLevels()
					showCustomLevels=true
					loadCustomLevel("customlevel.lua")
					love.timer.sleep( 0.3 )	
				end
				--]]
				--[[
			local hovered = isButtonHovered (PlayLevelButton)
			drawButton (PlayLevelButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					PlayCustomLevel()
					love.timer.sleep( 0.3 )	
				end
				--]]
			local hovered = isButtonHovered (ExportLevelButton)
			drawButton (ExportLevelButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					exportLevel()
					love.timer.sleep( 0.3 )	
				end

		
			local hovered = isButtonHovered (ExportDirButton)
			drawButton (ExportDirButton, hovered, "open dir")
				if hovered and love.mouse.isDown(1) then 
					love.system.openURL(export_dir)
					love.timer.sleep( 0.3 )	
				end
			if drawingMode=="object" then
				local hovered = isButtonHovered (ShowHelpButton)
				drawButton (ShowHelpButton, hovered, "Help")
					if hovered and love.mouse.isDown(1) then 
						objectHelpShowed=false
						love.timer.sleep( 0.3 )	
					end
			elseif drawingMode~="object" then
			
			--[[
			local hovered = isButtonHovered (ExportasGraphicButton)
			drawButton (ExportasGraphicButton, hovered)
				if hovered and love.mouse.isDown(1) then 
					exportLevelAsImage()
					love.timer.sleep( 0.3 )	
				end
			--]]
			end
			
		
	

end


function isButtonHovered (button)			-- Defines a local function named isButtonHovered that takes a table named button as an argument.
	local font = button.font or love.graphics.getFont( )	-- Gets the font property of the button table or uses the default font if it's not defined.
	local width = font:getWidth(button.text)	--Calculates the width of the button's text using the font.
	local height = font:getHeight( )			--Gets the height of the font.
	local sx, sy = button.sx or 1, button.sy or button.sx or 1	--Gets the scaling properties of the button or sets them to 1 if they're not defined.
	local x, y = button.x, button.y		--Gets the position of the button.
	local w, h = width*sx, height*sy	--Calculates the width and height of the button using the scaling properties.
	local mx, my = love.mouse.getPosition()	--Gets the position of the mouse.
	
	
	emulatedmousexscale=(emulatedmousex/64)*1.34
	emulatedmouseyscale=(emulatedmousey/45)
	
	local gx, gy = emulatedmousexscale*48, emulatedmouseyscale*46
	if (mx >= x and mx <= x+w		--Checks whether the mouse is within the bounds of the button.
	and my >= y and my <= y+h) 
	or ((gx+1) >= x and (gx-1) <= x+w		--Checks whether the mouse is within the bounds of the button.
	and (gy+1) >= y and (gy-1) <= y+h) 
	then	-- Checks whether the y-coordinate of the mouse is within the y-bounds of the button.
		button.w, button.h = w, h	-- If the mouse is within the bounds of the button, sets the width and height of the button to the computed values of w and h.
		return true					-- Returns true to indicate that the button is being hovered over.
	end
	return false	-- If the mouse is not within the bounds of the button, returns false to indicate that the button is not being hovered over.
	
end


--[[This code defines a function drawButton that takes three parameters: button, hovered, and text.
This function is used to draw a button on the screen with the specified properties.--]]

function drawButton (button, hovered,text)	--Defines a function drawButton with three parameters: button, hovered, and text.
	--drawButtonFocus()
	love.graphics.setFont( button.font )	--Sets the font of the button to the font specified in button.font.
	
	if hovered then									--If the button is being hovered over, 
		love.graphics.setColor(button.hoveredColor)	--the button color is set to button.hoveredColor, 
		
						
		--reloadadjustedcolors()						--the adjusted colors are reloaded, 
		love.graphics.rectangle ('line', button.x, button.y, button.w, button.h)	--and a rectangle is drawn around the button using love.graphics.rectangle.
	else	--If the button is not being hovered over, the button color is set to button.color, the adjusted colors are reloaded.
		love.graphics.setColor(button.color)
		--reloadadjustedcolors()
	end
	if gamestatus=="levelEditor" then
		hideLevelEditorButtons(button, hovered,text)	-- function called from game/status/leveleditorButtons.lua
	end
	love.graphics.print(button.text,button.x,button.y,button.r,button.sx)	--Prints the specified text on the button at the position specified by button.x and button.y with the specified rotation button.r and scale button.sx.
	
	--updateButtonAlpha(button)
	updateButtonZoom(button)
	
end



--Button example for images
--[[
loadButton = {
    image = love.graphics.newImage("button_image.png"),  -- Load the image
    x = 1600,
    y = 200, 
    r = 0,
    sx = 1,
    hovered = false,
    color = {1, 1, 1},
    alpha = 1,
    hoveredColor = {1, 1, 0},
}
--]]

-- draw the particle sparkles
function drawSparkleParticles()
    love.graphics.setColor(1, 1, 1, 0.8)
    for _, sparkle in ipairs(sparkleParticles) do
        love.graphics.circle('fill', sparkle.x, sparkle.y, sparkle.size)
    end
   
end

function updateButtonFocus(dt)
    -- Update pulsating effect
    pulsateTimer = pulsateTimer + dt
    if pulsateTimer >= 1 then
        pulsateTimer = 0
    end

    -- Update particle sparkles
    for i, sparkle in ipairs(sparkleParticles) do
        sparkle.x = sparkle.x + sparkle.speed * dt
        sparkle.y = sparkle.y + sparkle.speed * dt

        -- Remove sparkles that go off-screen
        if sparkle.x > love.graphics.getWidth() or sparkle.y > love.graphics.getHeight() then
            table.remove(sparkleParticles, i)
        end
    end
end

-- In your game update function (e.g., love.update), update the alpha when hovered for any button
function updateButtonAlpha(button)
    if isButtonHovered(button) then
        button.alpha = math.min(1, button.alpha + 0.05 ) -- Increase alpha gradually
    else
        button.alpha = math.max(0, button.alpha - 0.05 ) -- Decrease alpha gradually
    end
end

function updateButtonZoom(button)
local hoverScale = 1.2 -- Scale factor when hovered

    if isButtonHovered(button) then
        button.sx = math.min(1.5, button.sx + 0.05) -- Increase scale gradually
		--if button.sx==1.1 then
			--bubbles:play()
		--end
    else
        button.sx = math.max(1, button.sx - 0.05) -- Decrease scale gradually
		
    end
end
